import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/config/menu.dart';
import 'package:jeweled/cubit/nav_cubit.dart';
import 'package:jeweled/ui/widgets/global_app_bar.dart';

class SkeletonScreen extends StatelessWidget {
  const SkeletonScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: const GlobalAppBar(),
      extendBodyBehindAppBar: false,
      body: BlocBuilder<NavCubit, int>(
        builder: (BuildContext context, int pageIndex) {
          return Menu.getPageWidget(pageIndex);
        },
      ),
      backgroundColor: Theme.of(context).colorScheme.surface,
    );
  }
}
